Subject: bug#12794: closed (Re: bug#12794: Bug in dd: it sends wrong messages to stderr)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 03 Nov 2012 19:12:01 +0000

Your bug report

#12794: Bug in dd: it sends wrong messages to stderr

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12794: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12794
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12794: Bug in dd: it sends wrong messages to stderr
From: Paul Eggert <[email-masked]>
To: Ganton <[email-masked]>
Cc: [email-masked]
Date: Sat, 03 Nov 2012 12:08:45 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/03/2012 08:28 AM, Ganton wrote:

> when I do backups, I see "errors" from dd... that really aren't. 

You have a point, but I'm afraid that dd is documented to behave
that way, and it's part of the POSIX standard, and lots of people
depend on it.  To turn off the chatter, use "dd status=noxfer".

Subject: Bug in dd: it sends wrong messages to stderr
From: Ganton <[email-masked]>
To: [email-masked]
Date: Sat, 3 Nov 2012 16:28:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear sirs:

I send you a bug report.

# DESCRIPTION

Bug in dd: it sends wrong messages to stderr.

For example, when I do backups, I see "errors" from dd... that really aren't. 

# WAY TO REPRODUCE THE BUG

A user can execute:
   partition=$(mount | awk '$2=="on" && $3=="/" {print $1}')
   sudo dd if="$partition" of=/tmp/copseg.dd count=1 bs=512 >/dev/null
and then he sees something like this in his screen:
  1+0 records in
  1+0 records out
  512 bytes (512 B) copied, 0,000129625 s, 3,9 MB/s

# EXPECTED RESULTS:

The user should see nothing, as there was no error and stdout was redirected 
to /dev/null.